Bug 1119238 - mosquitto does not handle errors from authentication plugins correctly
Summary: mosquitto does not handle errors from authentication plugins correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mosquitto
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 11:05 UTC by Roger Light
Modified: 2014-08-07 15:36 UTC (History)
2 users (show)

Fixed In Version: mosquitto-1.3.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 15:35:44 UTC


Attachments (Terms of Use)
Patch (415 bytes, patch)
2014-07-14 11:05 UTC, Roger Light
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Launchpad 1340782 None None None Never

Description Roger Light 2014-07-14 11:05:34 UTC
Created attachment 917750 [details]
Patch

This is a security related bug affecting versions 1.0 - 1.3.1 of mosquitto.

If an end user uses mosquitto with an authentication plugin, and the
plugin returns an application error when making an authentication check
(such as if a database was unavailable), then mosquitto incorrectly
treats this as a successful authentication.

This has the potential for unauthorised clients to access the running
mosquitto broker and gain access to information to which it is not
authorised. In general this does not represent a wider security hole.

No authentication plugins are provided with mosquitto and there are only
a limited number of examples available on the internet, so it is
unlikely that this bug will affect many installations.

The attached patch can be used as a fix, or package version 1.3.2.

Comment 1 Vincent Danen 2014-07-14 17:16:27 UTC
Note that this also would affect Fedora 19 and 20, as well as EPEL7.

Comment 2 Fedora Update System 2014-07-14 18:05:18 UTC
mosquitto-1.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mosquitto-1.3.2-1.fc20

Comment 3 Fedora Update System 2014-07-14 18:14:44 UTC
mosquitto-1.3.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mosquitto-1.3.2-1.fc19

Comment 4 Fedora Update System 2014-07-17 04:30:42 UTC
Package mosquitto-1.3.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mosquitto-1.3.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8412/mosquitto-1.3.2-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-08-07 15:35:44 UTC
mosquitto-1.3.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-08-07 15:36:00 UTC
mosquitto-1.3.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.